using System.Collections;
using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;


namespace BigSock {

	/*
		Basic projectile attack for the player..
	*/
	public class BasicProjectile1 : BaseAttack {
		//protected static readonly GameObject PROJECTILE_BASE = new AttackMovement();
		
		/*
			The attack stats of the ability.
		*/
		public IAttackStats AttackStats { get; set; }



		public BasicProjectile1() {
			Name = "Basic Player Projectile Attack";
			Id = 101;
			Description = "A basic projectile shooting attack the player has.";
		}



		/*
			Activates the ability.
			Returns true if the ability was successfully activated. 
				- Even if nothing was hit, used to indicate that cooldowns should be updated.
			This should be overridden in sub-classes for the actual abilities.
		*/
		protected override bool Activate(Character actor, Vector2 target) {
			//MonoBehaviour.Instantiate(PROJECTILE_BASE, (Vector3) actor.transform.position, PROJECTILE_BASE.transform.rotation);
			return true;
		}

	}

}