using System.Collections;
using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;


namespace BigSock {

	/*
		Represents the stats of an attack.
	*/
	public class AttackStats : IAttackStats {
		/*
			The damage of the attack.
		*/
		public float Damage { get; set; }

		/*
			The knockback of the attack.
		*/
		public float Knockback { get; set; }

		/*
			The range of the attack.
		*/
		public float Range { get; set; }

		/*
			The attack speed of the attack.
		*/
		public float AttackSpeed { get; set; }

		/*
			The source of the attack.
		*/
		public Vector2 Source { get; set; }

	}
}